shishi_tkts_new(3)

NAME
shishi_tkts_new - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkts_new(Shishi_tkts * tkts, Shishi_asn1 ticket, Shishi_asn1 enckdcreppart, Shishi_asn1 kdcrep);

ARGUMENTS

Shishi_tkts * tkts
    ticket set handle as allocated by shishi_tkts().

Shishi_asn1 ticket
    input ticket variable.

Shishi_asn1 enckdcreppart
    input ticket detail variable.

Shishi_asn1 kdcrep
    input KDC-REP variable.

DESCRIPTION
Allocate a new ticket and add it to the ticket set. Note that ticket, enckdcreppart and kdcrep are stored by reference, so you must not de-allocate them before the ticket is removed from the ticket set and de-allocated.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.